package kz.arta.synergy.workflow.mobile.android.common.components;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.EditText;

import kz.arta.synergy.workflow.mobile.android.R;
import kz.arta.synergy.workflow.mobile.android.common.utils.Fonts;
import kz.arta.synergy.workflow.mobile.android.common.utils.Utils;

/**
 * Created by user1 on 03.11.14.
 * Многострочное текстовое поле
 */
public class AEditText extends EditText {

    public AEditText(Context context) {
        this(context, null);
    }

    public AEditText(Context context, AttributeSet attrs) {
        super(context, attrs);
        setTypeface(Fonts.getMedium(context));
        setBackgroundResource(R.drawable.edit_text_background);
        setTextSize(Utils.getPxFromDp(R.dimen.edit_text_size_text, context));
    }
}
